dbXML API

## com.dbxml.db.admin.xmleditor
Interface NodeEditor

All Known Implementing Classes:
  NodeEditorBase

public interface NodeEditor

NodeEditor

Method Summary
`org.w3c.dom.Node` `getNode()` getNode returns the DOM Node for this NodeEditor.
`void` `setNode(org.w3c.dom.Node node)` setNode sets the DOM Node for this NodeEditor.
`void` `setOwner(XMLEditor owner)` setOwner sets the XMLEditor owner component

Method Detail

### setOwner

    public void setOwner(XMLEditor owner)

  setOwner sets the XMLEditor owner component

### setNode

    public void setNode(org.w3c.dom.Node node)

  setNode sets the DOM Node for this NodeEditor.

  Parameters:
    `node` - The DOM Node

### getNode

    public org.w3c.dom.Node getNode()

  getNode returns the DOM Node for this NodeEditor.

  Returns:
    The DOM Node

dbXML API

Copyright (c) 2004 The dbXML Group